import { Cell, Icon } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'the-music',
  props: {
    title: {
      type: String,
      default: ''
    }
  },
  emits: ['detail'],
  setup(props, { emit }) {
    return () => (
      <Cell
        class={styles.title}
        titleClass={styles.cellTitle}
        title={props.title}
        border={false}
        v-slots={{
          value: () => (
            <span
              class={styles.cellValue}
              onClick={() => {
                emit('detail')
              }}
            >
              更多
              <Icon name="arrow" />
            </span>
          )
        }}
      />
    )
  }
})
